<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."'>".LG('Видео')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&dir=".$id_dir."'>".TEXT_ABSOLUTE($dir['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Редактирование')."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $password = ADSL(POST('password'));
  
  IF (STR($password) > 0){
    
    $private = 4;
    $password2 = MD5($password);
    
  }ELSE{
    
    $private = INTVAL(POST('private'));
    $password2 = NULL;
  
  }
  
  IF (STR($password) > 12){
    
    ERROR('Пароль не может быть больше 12 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 100){
    
    ERROR('Имя не может быть больше 100 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `VIDEOS_DIR` WHERE `USER_ID` = '".$account['ID']."' AND `NAME` = '".$name."' AND `ID_DIR` = '".$id_dir."' LIMIT 1") == 1){
    
    ERROR('Альбом с таким названием уже существует в этой директории', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=videos&section=users&id='.$account['ID'].'&get=edit_dir&dir='.$id_dir.'');
    
  }
  
  DB::GET_SET("UPDATE `VIDEOS_DIR` SET `NAME` = '".$name."', `PRIVATE` = '".$private."', `PASSWORD` = '".$password2."', `PASSWORD_SHOW` = '".$password."' WHERE `ID` = '".$id_dir."' LIMIT 1");
  
  IF (ACCESS('videos_dir_edit', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Видео - редактирование альбома '.$account['LOGIN'].'', $user['ID']);
    
  }
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=videos&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=videos&section=users&id=".$account['ID']."&get=edit_dir&dir=".$id_dir."'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 100 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($dir['NAME']));

ECHO "<b>".LG('Доступ')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0' ".($dir['PRIVATE'] == 0?' selected="selected"':NULL)."> ".LG('Всем')."</option>";
ECHO "<option value='1' ".($dir['PRIVATE'] == 1?' selected="selected"':NULL)."> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2' ".($dir['PRIVATE'] == 2?' selected="selected"':NULL)."> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Пароль')."</b>:<br />";
HTML::INPUT('password', NULL, NULL, NULL, TEXT_ABSOLUTE($dir['PASSWORD_SHOW']));

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."'>".LG('Видео')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=videos&section=users&id=".$account['ID']."&dir=".$id_dir."'>".TEXT_ABSOLUTE($dir['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Редактирование')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>